﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ButtonInTileViewItem
{
    public class ItemViewModel : ViewModelBase
    {
        public ItemViewModel (string header, string title, string description)
        {
            this.Header = header;
            this.Title = title;
            this.Description = description;
            this.ApproveCommand = new DelegateCommand(
               delegate
               {
                   this.ChangeDescription();
               }
               );
        }

        private string description;
        public string Description
        {
            get
            {
                return this.description;
            }
            set
            {
                if (this.description != value)
                {
                    this.description = value;
                    this.OnPropertyChanged("Description");
                }
            }
        }

        public string Title {get;set;}


        public string Header{get;set;}      

        public DelegateCommand ApproveCommand { get; set; }

        public void ChangeDescription()
        {
            this.Description = "Approved";
        }

    }
}
